<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<placeable type="simplePlaceable" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="$data/shared/xml/schema/placeable.xsd">
    <storeData>
        <name>
            <en>42x80 Shop</en>
		</name>
        <functions>
            <function>$l10n_function_garage</function>
        </functions>
        <image>store_Shed.dds</image>
        <price>20000</price>
        <dailyUpkeep>5</dailyUpkeep>
        <lifetime>1000</lifetime>
        <rotation>0</rotation>
        <brand>NONE</brand>
        <species>placeable</species>
        <category>sheds</category>
        <canBeSold>true</canBeSold>
        <showInStore>true</showInStore>
        <vertexBufferMemoryUsage>706816</vertexBufferMemoryUsage>
        <indexBufferMemoryUsage>73728</indexBufferMemoryUsage>
        <textureMemoryUsage>2424832</textureMemoryUsage>
        <audioMemoryUsage>0</audioMemoryUsage>
        <instanceVertexBufferMemoryUsage>0</instanceVertexBufferMemoryUsage>
        <instanceIndexBufferMemoryUsage>0</instanceIndexBufferMemoryUsage>
    </storeData>
    <base>
        <filename>Shop.i3d</filename>
    </base>

    <placement useRandomYRotation="false" useManualYRotation="true">
        <testAreas>
            <testArea startNode="testArea1Start" endNode="testArea1End" />
        </testAreas>
        <sounds>
            <place template="medImp" />
        </sounds>
    </placement>

    <clearAreas>
        <clearArea startNode="clearArea1Start" widthNode="clearArea1Width" heightNode="clearArea1Height"/>
    </clearAreas>

    <leveling requireLeveling="true" maxSmoothDistance="5" maxSlope="75" maxEdgeAngle="30">
        <levelAreas>
            <levelArea startNode="levelArea1Start" widthNode="levelArea1Width" heightNode="levelArea1Height" groundType="dirt"/>
        </levelAreas>
    </leveling>

    <indoorAreas>
        <indoorArea startNode="indoorArea1Start" widthNode="indoorArea1Width" heightNode="indoorArea1Height"/>
    </indoorAreas>

    <tipOcclusionUpdateAreas>
        <tipOcclusionUpdateArea startNode="tipOcclusionUpdateArea1Start" endNode="tipOcclusionUpdateArea1End" />
    </tipOcclusionUpdateAreas>

    <ai>
        <updateAreas>
            <updateArea startNode="tipOcclusionUpdateArea1Start" endNode="tipOcclusionUpdateArea1End" />
        </updateAreas>
    </ai>	
	
	<animatedObjects>
	   <animatedObject saveId="walkInDoor" >
            <animation duration="2">      				
				<part node="9|1|0">
                    <Keyframe time="0.1" rotation="0 0 0" />
                    <Keyframe time="1.00" rotation="0 -140 0" />
                </part>
				<part node="9|1|0|0">
                    <Keyframe time="0.00" rotation="0 0 0" />
					<Keyframe time="0.1" rotation="-50 0 0" />
                    <Keyframe time="0.3" rotation="0 0 0" />
                </part>
            </animation>
            <controls triggerNode="9|0" posAction="ACTIVATE_HANDTOOL" posText="action_openGate" negText="action_closeGate"/>
			    <sounds>
                <moving file="sounds/door_opening.ogg" loops="0" linkNode="1|0" volume="0.8" radius="25" innerRadius="3"/>
                </sounds>
        </animatedObject>
		<animatedObject saveId="walkInDoor" >
            <animation duration="2">      				
				<part node="10|1|0">
                    <Keyframe time="0.1" rotation="0 0 0" />
                    <Keyframe time="1.00" rotation="0 -140 0" />
                </part>
				<part node="10|1|0|0">
                    <Keyframe time="0.00" rotation="0 0 0" />
					<Keyframe time="0.1" rotation="-50 0 0" />
                    <Keyframe time="0.3" rotation="0 0 0" />
                </part>
            </animation>
            <controls triggerNode="10|0" posAction="ACTIVATE_HANDTOOL" posText="action_openGate" negText="action_closeGate"/>
			    <sounds>
                <moving file="sounds/door_opening.ogg" loops="0" linkNode="1|0" volume="0.8" radius="25" innerRadius="3"/>
                </sounds>
        </animatedObject>
		<animatedObject index="garageDoor1">
		     <animation initialTime="0" duration="10">
			<part node="7|0|0">">
				<keyFrame time="0.00" translation="-3.015 0.533 -0.01" rotation="0 180 0" />
				<keyFrame time="0.111" translation="-3.015 0.533 -0.01" rotation="45 180 0" />
				<keyFrame time="0.222" translation="-3.015 0.533 -0.01" rotation="90 180 0" />
				<keyFrame time="0.333" translation="-3.015 0.533 -0.01" rotation="90 180 0" />
				<keyFrame time="0.444" translation="-3.015 0.533 -0.01" rotation="90 180 0" />
				<keyFrame time="0.555" translation="-3.015 0.533 -0.01" rotation="90 180 0" />
				<keyFrame time="0.666" translation="-3.015 0.533 -0.01" rotation="90 180 0" />
				<keyFrame time="0.777" translation="-3.015 0.533 -0.01" rotation="90 180 0" />
				<keyFrame time="0.888" translation="-3.015 0.533 -0.01" rotation="90 180 0" />
				<keyFrame time="1" translation="-3.015 0.533 -0.01" rotation="90 180 0" />
			</part>
			  <part node="7|0|0">
				<keyFrame time="0.00" translation="0 4.291 0.011" rotation="0 0 0" />
				<keyFrame time="0.111" translation="0 4.44 0.011" rotation="45 0 0" />
				<keyFrame time="0.222" translation="0 4.824 0.437" rotation="90 0 0" />
				<keyFrame time="0.333" translation="0 4.824 1.048" rotation="90 0 0" />
			    <keyFrame time="0.444" translation="0 4.824 1.662" rotation="90 0 0" />
				<keyFrame time="0.555" translation="0 4.824 2.274" rotation="90 0 0" />
				<keyFrame time="0.666" translation="0 4.824 2.885" rotation="90 0 0" />
				<keyFrame time="0.777" translation="0 4.824 3.497" rotation="90 0 0" />
				<keyFrame time="0.888" translation="0 4.824 4.108" rotation="90 0 0" />
				<keyFrame time="1" translation="0 4.824 4.718" rotation="90 0 0" />
			</part>
			  <part node="7|0|1">
			 	<keyFrame time="0.00" translation="0 3.681 0.011" rotation="0 0 0" />
				<keyFrame time="0.111" translation="0 3.844 0.011" rotation="-1 0 0" />
				<keyFrame time="0.222" translation="0 4.401 0.011" rotation="45 0 0" />
				<keyFrame time="0.333" translation="0 4.824 0.437" rotation="90 0 0" />
				<keyFrame time="0.444" translation="0 4.824 1.048" rotation="90 0 0" />
				<keyFrame time="0.555" translation="0 4.824 1.662" rotation="90 0 0" />
				<keyFrame time="0.666" translation="0 4.824 2.274" rotation="90 0 0" />
				<keyFrame time="0.777" translation="0 4.824 2.885" rotation="90 0 0" />
				<keyFrame time="0.888" translation="0 4.824 3.497" rotation="90 0 0" />
				<keyFrame time="1" translation="0 4.824 4.108" rotation="90 0 0" />
			</part>
			  <part node="7|0|2">
				<keyFrame time="0.00" translation="0 3.073 0.011" rotation="0 0 0" />
				<keyFrame time="0.111" translation="0 3.232 0.011" rotation="0 0 0" />
				<keyFrame time="0.222" translation="0 3.808 0.011" rotation="-1 0 0" />
				<keyFrame time="0.333" translation="0 4.401 0.011" rotation="45 0 0" />
				<keyFrame time="0.444" translation="0 4.824 0.437" rotation="90 0 0" />
				<keyFrame time="0.555" translation="0 4.824 1.048" rotation="90 0 0" />
				<keyFrame time="0.666" translation="0 4.824 1.662" rotation="90 0 0" />
				<keyFrame time="0.777" translation="0 4.824 2.274" rotation="90 0 0" />
				<keyFrame time="0.888" translation="0 4.824 2.885" rotation="90 0 0" />
				<keyFrame time="1" translation="0 4.824 3.497" rotation="90 0 0" />
			</part>
			  <part node="7|0|3">
				<keyFrame time="0.00" translation="0 2.463 0.011" rotation="0 0 0" />
				<keyFrame time="0.111" translation="0 2.622 0.011" rotation="0 0 0" />
				<keyFrame time="0.222" translation="0 3.196 0.011" rotation="0 0 0" />
				<keyFrame time="0.333" translation="0 3.808 0.011" rotation="-1 0 0" />
				<keyFrame time="0.444" translation="0 4.401 0.011" rotation="45 0 0" />
				<keyFrame time="0.555" translation="0 4.824 0.437" rotation="90 0 0" />
				<keyFrame time="0.666" translation="0 4.824 1.048" rotation="90 0 0" />
				<keyFrame time="0.777" translation="0 4.824 1.662" rotation="90 0 0" />
				<keyFrame time="0.888" translation="0 4.824 2.274" rotation="90 0 0" />
				<keyFrame time="1" translation="0 4.824 2.885" rotation="90 0 0" />
			</part>
			  <part node="7|0|4">
				<keyFrame time="0.00" translation="0 1.852 0.011" rotation="0 0 0" />
				<keyFrame time="0.111" translation="0 2.01 0.011" rotation="0 0 0" />
				<keyFrame time="0.222" translation="0 2.585 0.011" rotation="0 0 0" />
				<keyFrame time="0.333" translation="0 3.196 0.011" rotation="0 0 0" />
				<keyFrame time="0.444" translation="0 3.808 0.011" rotation="-1 0 0" />
				<keyFrame time="0.555" translation="0 4.401 0.011" rotation="45 0 0" />
				<keyFrame time="0.666" translation="0 4.824 0.437" rotation="90 0 0" />
				<keyFrame time="0.777" translation="0 4.824 1.048" rotation="90 0 0" />
				<keyFrame time="0.888" translation="0 4.824 1.662" rotation="90 0 0" />
				<keyFrame time="1" translation="0 4.824 2.274" rotation="90 0 0" />
			</part>
			  <part node="7|0|5">
				<keyFrame time="0.00" translation="0 1.241 0.011" rotation="0 0 0" />
				<keyFrame time="0.111" translation="0 1.401 0.011" rotation="0 0 0" />
				<keyFrame time="0.222" translation="0 1.976 0.011" rotation="0 0 0" />
				<keyFrame time="0.333" translation="0 2.585 0.011" rotation="0 0 0" />
				<keyFrame time="0.444" translation="0 3.196 0.011" rotation="0 0 0" />
				<keyFrame time="0.555" translation="0 3.808 0.011" rotation="-1 0 0" />
				<keyFrame time="0.666" translation="0 4.401 0.011" rotation="45 0 0" />
				<keyFrame time="0.777" translation="0 4.824 0.437" rotation="90 0 0" />
				<keyFrame time="0.888" translation="0 4.824 1.048" rotation="90 0 0" />
				<keyFrame time="1" translation="0 4.824 1.662" rotation="90 0 0" />
			</part>
			  <part node="7|0|6">
				<keyFrame time="0.00" translation="0 0.632 0.011" rotation="0 0 0" />
				<keyFrame time="0.111" translation="0 0.792 0.011" rotation="0 0 0" />
				<keyFrame time="0.222" translation="0 1.367 0.011" rotation="0 0 0" />
				<keyFrame time="0.333" translation="0 1.976 0.011" rotation="0 0 0" />
				<keyFrame time="0.444" translation="0 2.585 0.011" rotation="0 0 0" />
				<keyFrame time="0.555" translation="0 3.196 0.011" rotation="0 0 0" />
				<keyFrame time="0.666" translation="0 3.808 0.011" rotation="-1 0 0" />
				<keyFrame time="0.777" translation="0 4.401 0.011" rotation="45 0 0" />
				<keyFrame time="0.888" translation="0 4.824 0.437" rotation="90 0 0" />
				<keyFrame time="1" translation="0 4.824 1.048" rotation="90 0 0" />
			</part>
			  <part node="7|0|7">
				<keyFrame time="0.00" translation="0 0.024 0.011" rotation="0 0 0" />
				<keyFrame time="0.111" translation="0 0.184 0.011" rotation="0 0 0" />
				<keyFrame time="0.222" translation="0 0.758 0.011" rotation="0 0 0" />
				<keyFrame time="0.333" translation="0 1.367 0.011" rotation="0 0 0" />
				<keyFrame time="0.444" translation="0 1.976 0.011" rotation="0 0 0" />
				<keyFrame time="0.555" translation="0 2.585 0.011" rotation="0 0 0" />
				<keyFrame time="0.666" translation="0 3.196 0.011" rotation="0 0 0" />
				<keyFrame time="0.777" translation="0 3.808 0.011" rotation="-1 0 0" />
				<keyFrame time="0.888" translation="0 4.401 0.011" rotation="45 0 0" />
				<keyFrame time="1" translation="0 4.824 0.437" rotation="90 0 0" />
			</part>
		</animation>
            <controls triggerNode="7|0|8" posAction="ACTIVATE_HANDTOOL" posText="action_openGarageDoor" negText="action_closeGarageDoor" />	
            <sounds>
                <moving linkNode="7|0|1" template="slidingGateMetalLoop" />
                <posEnd linkNode="7|0|1" template="slidingGateMetalOpen" />
                <negEnd linkNode="7|0|1" template="slidingGateMetalClose" />
            </sounds>			
		</animatedObject>
		<animatedObject index="garageDoor1">
		     <animation initialTime="0" duration="10">
			<part node="8|0|0">">
				<keyFrame time="0.00" translation="-3.015 0.533 -0.01" rotation="0 180 0" />
				<keyFrame time="0.111" translation="-3.015 0.533 -0.01" rotation="45 180 0" />
				<keyFrame time="0.222" translation="-3.015 0.533 -0.01" rotation="90 180 0" />
				<keyFrame time="0.333" translation="-3.015 0.533 -0.01" rotation="90 180 0" />
				<keyFrame time="0.444" translation="-3.015 0.533 -0.01" rotation="90 180 0" />
				<keyFrame time="0.555" translation="-3.015 0.533 -0.01" rotation="90 180 0" />
				<keyFrame time="0.666" translation="-3.015 0.533 -0.01" rotation="90 180 0" />
				<keyFrame time="0.777" translation="-3.015 0.533 -0.01" rotation="90 180 0" />
				<keyFrame time="0.888" translation="-3.015 0.533 -0.01" rotation="90 180 0" />
				<keyFrame time="1" translation="-3.015 0.533 -0.01" rotation="90 180 0" />
			</part>
			  <part node="8|0|0">
				<keyFrame time="0.00" translation="0 4.291 0.011" rotation="0 0 0" />
				<keyFrame time="0.111" translation="0 4.44 0.011" rotation="45 0 0" />
				<keyFrame time="0.222" translation="0 4.824 0.437" rotation="90 0 0" />
				<keyFrame time="0.333" translation="0 4.824 1.048" rotation="90 0 0" />
			    <keyFrame time="0.444" translation="0 4.824 1.662" rotation="90 0 0" />
				<keyFrame time="0.555" translation="0 4.824 2.274" rotation="90 0 0" />
				<keyFrame time="0.666" translation="0 4.824 2.885" rotation="90 0 0" />
				<keyFrame time="0.777" translation="0 4.824 3.497" rotation="90 0 0" />
				<keyFrame time="0.888" translation="0 4.824 4.108" rotation="90 0 0" />
				<keyFrame time="1" translation="0 4.824 4.718" rotation="90 0 0" />
			</part>
			  <part node="8|0|1">
			 	<keyFrame time="0.00" translation="0 3.681 0.011" rotation="0 0 0" />
				<keyFrame time="0.111" translation="0 3.844 0.011" rotation="-1 0 0" />
				<keyFrame time="0.222" translation="0 4.401 0.011" rotation="45 0 0" />
				<keyFrame time="0.333" translation="0 4.824 0.437" rotation="90 0 0" />
				<keyFrame time="0.444" translation="0 4.824 1.048" rotation="90 0 0" />
				<keyFrame time="0.555" translation="0 4.824 1.662" rotation="90 0 0" />
				<keyFrame time="0.666" translation="0 4.824 2.274" rotation="90 0 0" />
				<keyFrame time="0.777" translation="0 4.824 2.885" rotation="90 0 0" />
				<keyFrame time="0.888" translation="0 4.824 3.497" rotation="90 0 0" />
				<keyFrame time="1" translation="0 4.824 4.108" rotation="90 0 0" />
			</part>
			  <part node="8|0|2">
				<keyFrame time="0.00" translation="0 3.073 0.011" rotation="0 0 0" />
				<keyFrame time="0.111" translation="0 3.232 0.011" rotation="0 0 0" />
				<keyFrame time="0.222" translation="0 3.808 0.011" rotation="-1 0 0" />
				<keyFrame time="0.333" translation="0 4.401 0.011" rotation="45 0 0" />
				<keyFrame time="0.444" translation="0 4.824 0.437" rotation="90 0 0" />
				<keyFrame time="0.555" translation="0 4.824 1.048" rotation="90 0 0" />
				<keyFrame time="0.666" translation="0 4.824 1.662" rotation="90 0 0" />
				<keyFrame time="0.777" translation="0 4.824 2.274" rotation="90 0 0" />
				<keyFrame time="0.888" translation="0 4.824 2.885" rotation="90 0 0" />
				<keyFrame time="1" translation="0 4.824 3.497" rotation="90 0 0" />
			</part>
			  <part node="8|0|3">
				<keyFrame time="0.00" translation="0 2.463 0.011" rotation="0 0 0" />
				<keyFrame time="0.111" translation="0 2.622 0.011" rotation="0 0 0" />
				<keyFrame time="0.222" translation="0 3.196 0.011" rotation="0 0 0" />
				<keyFrame time="0.333" translation="0 3.808 0.011" rotation="-1 0 0" />
				<keyFrame time="0.444" translation="0 4.401 0.011" rotation="45 0 0" />
				<keyFrame time="0.555" translation="0 4.824 0.437" rotation="90 0 0" />
				<keyFrame time="0.666" translation="0 4.824 1.048" rotation="90 0 0" />
				<keyFrame time="0.777" translation="0 4.824 1.662" rotation="90 0 0" />
				<keyFrame time="0.888" translation="0 4.824 2.274" rotation="90 0 0" />
				<keyFrame time="1" translation="0 4.824 2.885" rotation="90 0 0" />
			</part>
			  <part node="8|0|4">
				<keyFrame time="0.00" translation="0 1.852 0.011" rotation="0 0 0" />
				<keyFrame time="0.111" translation="0 2.01 0.011" rotation="0 0 0" />
				<keyFrame time="0.222" translation="0 2.585 0.011" rotation="0 0 0" />
				<keyFrame time="0.333" translation="0 3.196 0.011" rotation="0 0 0" />
				<keyFrame time="0.444" translation="0 3.808 0.011" rotation="-1 0 0" />
				<keyFrame time="0.555" translation="0 4.401 0.011" rotation="45 0 0" />
				<keyFrame time="0.666" translation="0 4.824 0.437" rotation="90 0 0" />
				<keyFrame time="0.777" translation="0 4.824 1.048" rotation="90 0 0" />
				<keyFrame time="0.888" translation="0 4.824 1.662" rotation="90 0 0" />
				<keyFrame time="1" translation="0 4.824 2.274" rotation="90 0 0" />
			</part>
			  <part node="8|0|5">
				<keyFrame time="0.00" translation="0 1.241 0.011" rotation="0 0 0" />
				<keyFrame time="0.111" translation="0 1.401 0.011" rotation="0 0 0" />
				<keyFrame time="0.222" translation="0 1.976 0.011" rotation="0 0 0" />
				<keyFrame time="0.333" translation="0 2.585 0.011" rotation="0 0 0" />
				<keyFrame time="0.444" translation="0 3.196 0.011" rotation="0 0 0" />
				<keyFrame time="0.555" translation="0 3.808 0.011" rotation="-1 0 0" />
				<keyFrame time="0.666" translation="0 4.401 0.011" rotation="45 0 0" />
				<keyFrame time="0.777" translation="0 4.824 0.437" rotation="90 0 0" />
				<keyFrame time="0.888" translation="0 4.824 1.048" rotation="90 0 0" />
				<keyFrame time="1" translation="0 4.824 1.662" rotation="90 0 0" />
			</part>
			  <part node="8|0|6">
				<keyFrame time="0.00" translation="0 0.632 0.011" rotation="0 0 0" />
				<keyFrame time="0.111" translation="0 0.792 0.011" rotation="0 0 0" />
				<keyFrame time="0.222" translation="0 1.367 0.011" rotation="0 0 0" />
				<keyFrame time="0.333" translation="0 1.976 0.011" rotation="0 0 0" />
				<keyFrame time="0.444" translation="0 2.585 0.011" rotation="0 0 0" />
				<keyFrame time="0.555" translation="0 3.196 0.011" rotation="0 0 0" />
				<keyFrame time="0.666" translation="0 3.808 0.011" rotation="-1 0 0" />
				<keyFrame time="0.777" translation="0 4.401 0.011" rotation="45 0 0" />
				<keyFrame time="0.888" translation="0 4.824 0.437" rotation="90 0 0" />
				<keyFrame time="1" translation="0 4.824 1.048" rotation="90 0 0" />
			</part>
			  <part node="8|0|7">
				<keyFrame time="0.00" translation="0 0.024 0.011" rotation="0 0 0" />
				<keyFrame time="0.111" translation="0 0.184 0.011" rotation="0 0 0" />
				<keyFrame time="0.222" translation="0 0.758 0.011" rotation="0 0 0" />
				<keyFrame time="0.333" translation="0 1.367 0.011" rotation="0 0 0" />
				<keyFrame time="0.444" translation="0 1.976 0.011" rotation="0 0 0" />
				<keyFrame time="0.555" translation="0 2.585 0.011" rotation="0 0 0" />
				<keyFrame time="0.666" translation="0 3.196 0.011" rotation="0 0 0" />
				<keyFrame time="0.777" translation="0 3.808 0.011" rotation="-1 0 0" />
				<keyFrame time="0.888" translation="0 4.401 0.011" rotation="45 0 0" />
				<keyFrame time="1" translation="0 4.824 0.437" rotation="90 0 0" />
			</part>
		</animation>
            <controls triggerNode="8|0|8" posAction="ACTIVATE_HANDTOOL" posText="action_openGarageDoor" negText="action_closeGarageDoor" />	
            <sounds>
                <moving linkNode="8|0|1" template="slidingGateMetalLoop" />
                <posEnd linkNode="8|0|1" template="slidingGateMetalOpen" />
                <negEnd linkNode="8|0|1" template="slidingGateMetalClose" />
            </sounds>			
		</animatedObject>
		<animatedObject saveId="Light_1" >
            <animation duration="0.1">
                 <part node="12|0|1">
                    <keyFrame time="0.5" visibility="false" />
                    <keyFrame time="0.55" visibility="true" />
               </part>
				 <part node="12|0|7|0">
                     <Keyframe time="0.5" rotation="90 0 0" />
                     <Keyframe time="0.55" rotation="0 0 0" />
                </part>
            </animation>    
                 <controls triggerNode="12|0|0" posAction="ACTIVATE_HANDTOOL" posText="action_lightOn" negText="action_lightOut" />
			<sounds>
                <!-- <moving file="$data/sounds/vehicles/switch/switch_01.ogg" loops="0" linkNode="4|0|10" volume="0.8" radius="25" innerRadius="3"/> -->
            </sounds>
            </animatedObject>
	</animatedObjects>
	
    <i3dMappings>
        <i3dMapping id="clearArea1Start" node="0>1|0" />
        <i3dMapping id="clearArea1Width" node="0>1|0|0" />
        <i3dMapping id="clearArea1Height" node="0>1|0|1" />
        <i3dMapping id="levelArea1Start" node="0>2|0" />
        <i3dMapping id="levelArea1Width" node="0>2|0|0" />
        <i3dMapping id="levelArea1Height" node="0>2|0|1" />
        <i3dMapping id="indoorArea1Start" node="0>3|0" />
        <i3dMapping id="indoorArea1Width" node="0>3|0|0" />
        <i3dMapping id="indoorArea1Height" node="0>3|0|1" />
        <i3dMapping id="testArea1Start" node="0>4|0" />
        <i3dMapping id="testArea1End" node="0>4|0|0" />
        <i3dMapping id="tipOcclusionUpdateArea1Start" node="0>5|0" />
        <i3dMapping id="tipOcclusionUpdateArea1End" node="0>5|0|0" />
    </i3dMappings>
</placeable>
